package com.viettel.campaign.mapper;

import com.viettel.campaign.model.ccms_full.ReceiveCustLog;
import com.viettel.campaign.web.dto.ReceiveCustLogDTO;
import org.modelmapper.ModelMapper;
import org.springframework.beans.factory.annotation.Autowired;

public class ReceiveCustLogMapper extends BaseMapper<ReceiveCustLog, ReceiveCustLogDTO> {

    @Autowired
    ModelMapper modelMapper;

    @Override
    public ReceiveCustLogDTO toDtoBean(ReceiveCustLog receiveCustLog) {
        return modelMapper.map(receiveCustLog, ReceiveCustLogDTO.class);
    }

    @Override
    public ReceiveCustLog toPersistenceBean(ReceiveCustLogDTO dtoBean) {
        return modelMapper.map(dtoBean, ReceiveCustLog.class);
    }
}
